# Form Container

(part of package '[Servoy Core](https://docs.servoy.com/reference/servoyextensions/packages/ui-component-packages/servoy-core)')\
Extends designtime/SolutionModel: [JSWebComponent](https://docs.servoy.com/reference/servoycore/dev-api/solutionmodel/jswebcomponent)\
Extends runtime: [RuntimeWebComponent](https://docs.servoy.com/reference/servoycore/dev-api/forms/runtimeform/elements/runtimewebcomponent)

Servoy Core Form Container Component embeds a form within a container that supports both anchored and responsive layouts.

This is a reference page; many components have detailed usage guides [here](https://docs.servoy.com/guides/develop/application-design/ui-components).

## Properties

### animation

Defines the animation to be applied when the form container is shown or hidden. Type: [String](https://docs.servoy.com/reference/servoycore/dev-api/js-lib/string) Default Value: "none"

***

### containedForm

Specifies the form to be embedded within the container. Type: [Form](https://docs.servoy.com/servoy-developer/component_and_service_property_types#form)

***

### height

Minimum height of the form container, should be used for responsive forms. Can be 100% (to take parent container height) or a number (in pixels). Type: [String](https://docs.servoy.com/reference/servoycore/dev-api/js-lib/string) Default Value: "0"

***

### relationName

Specifies the relation name used to link the container to a data source. Type: [Relation](https://docs.servoy.com/servoy-developer/component_and_service_property_types#relation)

***

### styleClass

Specifies a CSS style class for custom styling of the form container. Type: [Styleclass](https://docs.servoy.com/servoy-developer/component_and_service_property_types#styleclass)

***

### tabSeq

Tab sequence number of form containers is used for all nested components in the main form. Type: [Tabseq](https://docs.servoy.com/servoy-developer/component_and_service_property_types#tabseq)

***

### visible

Controls the visibility of the form container. Type: [Visible](https://docs.servoy.com/servoy-developer/component_and_service_property_types#visible)

***

### waitForData

When `true`, the form is rendered when all its latest data is loaded from the server. When `false`, the form is rendered faster, but could show stale data (not a problem when the form shown does not show dynamic data) Type: [Boolean](https://docs.servoy.com/reference/servoycore/dev-api/js-lib/boolean) Default Value: true

***

## Events

## API

***


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.servoy.com/reference/servoyextensions/ui-components/form-containers/form-container.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
